This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 191545 - Review Request: perl-Net-Jabber
Review Request: perl-Net-Jabber
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 191540
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-12 15:47 EDT by Chris Weyl
Modified: 2014-09-03 09:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-04 00:39:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-05-12 15:47:25 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber-2.0-1.fc5.src.rpm
Description:

Net::Jabber provides a Perl user with access to the Jabber Instant
Messaging protocol.
Comment 1 Jason Tibbitts 2006-05-12 16:14:13 EDT
I think you have your dependencies backwards.  This bug is blocked by 191540; it
does not block it.
Comment 2 Chris Weyl 2006-05-12 17:08:03 EDT
*sigh* At least it's Friday.  Fixed
Comment 3 Chris Weyl 2006-05-15 10:41:54 EDT
Updated:
Spec URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber-2.0-2.fc5.src.rpm

Additionally, with respect to licensing, the author indicates that perl (GPL &
Artistic) is the correct license:

Date: Sun, 14 May 2006 16:52:31 -0500
From: Ryan Eatmon <reatmon@jabber.org>
To: Chris Weyl <cweyl@alumni.drew.edu>
Subject: Re: Net::XMPP license question

Yep.


Chris Weyl wrote:
> Hey Ryan--
> 
> Quick question.  I'm in the middle of packaging up Net::XMPP (and for
> that matter, XML::Stream and Net::Jabber) for fedora extras, and it
> was pointed out to me that while Net/XMPP.pm states "COPYRIGHT: This
> module is free software, you can redistribute it and/or modify it
> under the same terms as Perl itself", the actual archive includes a
> LICENSE.LGPL.
> 
> Are all three of these modules under "the same terms as Perl itself"?
> 
> Thanks:)
Comment 4 Chris Weyl 2006-05-24 11:50:28 EDT
Updated to indicate the module is triple licensed: Perl (Artistic / GPL) & LGPL
(See BZ#191523)


Spec URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber-2.0-3.fc5.src.rpm
Comment 5 Chris Weyl 2006-05-26 00:00:26 EDT
Included licensing correspondance, as well as the text of all three licenses.

Looked at the test suite -- seems to do a good job of not failing on network
blockage; can filter those out if needs be.

Spec URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber-2.0-4.fc5.src.rpm
Comment 6 Jason Tibbitts 2006-05-29 19:13:18 EDT
Some bad stuff from the test suite:

t/2_client....................ok
        4/5 skipped: Cannot open connection (maybe a firewall?)
t/protocol_definenamespace....Cannot resolve compute20.math.uh.edu:  at
/usr/lib/perl5/vendor_perl/5.8.8/XML/Stream.pm line 406.
# Looks like you planned 70 tests but only ran 1.
# Looks like your test died just after 1.
dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 2-70
        Failed 69/70 tests, 1.43% okay
t/protocol_muc................Cannot resolve compute20.math.uh.edu:  at
/usr/lib/perl5/vendor_perl/5.8.8/XML/Stream.pm line 406.
# Looks like you planned 4 tests but only ran 1.
# Looks like your test died just after 1.
dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 2-4
        Failed 3/4 tests, 25.00% okay
t/protocol_rpc................Cannot resolve compute20.math.uh.edu:  at
/usr/lib/perl5/vendor_perl/5.8.8/XML/Stream.pm line 406.
# Looks like you planned 19 tests but only ran 1.
# Looks like your test died just after 1.
dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 2-19
        Failed 18/19 tests, 5.26% okay
t/query_time..................ok
        1/39 skipped: Time::Timezone not installed

For that last one, you should add perl(Time::Timezone) to your BuildRequires:
set.  For the failing tests, your options are to disable those tests or to
disable the entire test suite.  Doing the latter would be a shame because
there's plenty of test suite that can be run.  Disabling the failing tests is
easy: just add this at the beginning of %check:

# Disable tests which will fail under mock
rm t/protocol_definenamespace.t
rm t/protocol_muc.t
rm t/protocol_rpc.t

I'll do this so that I can build and complete this review.

Once built, rpmlint has some complaints:

E: perl-Net-Jabber script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.8/Net/Jabber/Dialback/Result.pm

This is fixed by removing execute permission from that file.

E: perl-Net-Jabber script-without-shellbang
/usr/share/doc/perl-Net-Jabber-2.0/examples/component_test.pl
E: perl-Net-Jabber script-without-shellbang
/usr/share/doc/perl-Net-Jabber-2.0/examples/component_accept.pl
W: perl-Net-Jabber doc-file-dependency
/usr/share/doc/perl-Net-Jabber-2.0/examples/rpc_client.pl /bin/sh
W: perl-Net-Jabber doc-file-dependency
/usr/share/doc/perl-Net-Jabber-2.0/examples/rpc_server.pl /bin/sh

Documentation should not be executable, so you need to remove execute
permissions from these files as well.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* license field matches the actual licenses (as "clarified" by the author).
* license is open source-compatible.  License texts included in package.
* source files match upstream:
   1fd348fb9a1a6c5a167ae862ed89cd53  Net-Jabber-2.0.tar.gz
   1fd348fb9a1a6c5a167ae862ed89cd53  Net-Jabber-2.0.tar.gz-srpm
* latest version is being packaged.
O BuildRequires are proper (BR: perl is on the exception list).
O package builds in mock (development, x86_64) after disabling tests as above.
X rpmlint is silent.
X final provides and requires are sane (doc files pull in /bin/sh which should
not be there).
* no shared libraries are present.
* package is not relocatable.
 owns the directories it creates.
 doesn't own any directories it shouldn't.
 no duplicates in %files.
X file permission issues; some files are executable that shouldn't be.
* %clean is present.
O %check is present and all tests pass (once failing tests are disabled and
perl(Time::Timezone is added to BR:):
   All tests successful, 4 subtests skipped.
   Files=46, Tests=3283, 33 wallclock secs (10.03 cusr +  2.15 csys = 12.18 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 7 Chris Weyl 2006-05-30 16:22:36 EDT
Updated.

Also included perl(Time::Timezone) as a requires, as its presence enables
additional functionality in Net::Jabber, and the autoreq scripts don't pick it up.

Spec URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-Jabber-2.0-5.fc5.src.rpm
Comment 8 Jason Tibbitts 2006-05-31 22:51:53 EDT
I'm not having any luck fetching that last src.rpm.  However, the sources didn't
change and I have the previous version, so I can just rebuild with the new spec.

The result looks fine; %check passes and rpmlint is silent.

APPROVED
Comment 9 Chris Weyl 2006-06-04 00:39:18 EDT
Built for devel, FE-4, FE-5.  Thanks for the review :)
Comment 10 Xavier Bachelot 2009-07-17 18:17:09 EDT
Chris is ok with me taking the EL branches : https://bugzilla.redhat.com/show_bug.cgi?id=496891

Package Change Request
======================
Package Name: perl-Net-Jabber
New Branches: EL-5
Owners: xavierb
Comment 11 Kevin Fenzi 2009-07-19 16:58:14 EDT
cvs done.
Comment 12 Xavier Bachelot 2014-09-03 08:39:41 EDT
Package Change Request
======================
Package Name: perl-Net-Jabber
New Branches: epel7
Owners: xavierb mmraka
Comment 13 Jon Ciesla 2014-09-03 09:50:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.